# Styx-LED-Controller-Demo-Software

demonstration software to be shipped with the Styx LED controller

## Ethernet Interface Demonstration Software

For demonstrating the controller's ethernet interface capabilities, a simple web interface has been developed for selecting a color for the LED load. This example can be found in the /eth/web directory as colorPicker.html. Open this file in your choice of internet browser and enter the IP of your LED controller (obtained via DHCP) in the IP address textbox. From here, select a color from the color picker input and click the submit color button to change the LED load state. 

## I2C Interface Demonstration Software

For demonstrating the I2C interface capability of the controller, two seperate software demonstrations were developed. One for interfacing with the LED controller from an arduino MCU and one for interfacing with it from a raspberry pi 3. Both examples assume the i2c address of the LED controller to be 0x04. The demo wiring diagrams and set up instructions can be seen in the user manual.

## Fast-Fourier Transform (FFT) Music Visualization Example

An extension to the Rapsberry Pi 3 I2C interace demo was made to control the LED controller based off of spectral information obtained from live audio inputs. The example python script for perform the FFT and control the LED controller accordingly can be found under the fft\_demo directory as fftDemo.py. A supplemental script to determine the audio input device ID can be found in the same directory as quickMicTest.py. Change the audio device ID within the fftDemo.py file with the desired device ID found from quickMicTest.py. 

Note that the wiring required for this demo is the same as the wiring needed for the Raspberry Pi 3 I2C interface demo as seen in the user manual.
